<template>
  <div @click="openDrawer(true)">
    <!-- <Icon icon="ion:settings-outline" /> -->
    <img :src="img" alt="" srcset="" style="width: 26px;height: 26px;">
    <SettingDrawer @register="register" />
  </div>
</template>
<script lang="ts">
import { defineComponent } from 'vue';
import SettingDrawer from './SettingDrawer';
import Icon from '/@/components/Icon';
import img from '/@/assets/images/headerSet.svg';

import { useDrawer } from '/@/components/Drawer';

export default defineComponent({
  name: 'SettingButton',
  components: { SettingDrawer, Icon },
  setup() {
    const [register, { openDrawer }] = useDrawer();

    return {
      img,
      register,
      openDrawer,
    };
  },
});
</script>
